<!DOCTYPE html>

<html lang="en" data-content_root="./">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>numpy &#8212; numpy 0.0.post1.dev4+gdc3df0d documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=fa44fd50" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css?v=233b9934" />
    <script src="_static/documentation_options.js?v=a3874995"></script>
    <script src="_static/doctools.js?v=888ff710"></script>
    <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="numpy" href="readme.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="numpy">
<h1>numpy<a class="headerlink" href="#numpy" title="Link to this heading">¶</a></h1>
<p>This is the documentation of <strong>numpy</strong>, a CLI-based wrapper for python’s numpy
library whose main goal is to dockerize numpy functionality and make that
available through on the Seven Bridges platform as part of larger Workflow
development efforts.</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>This is the main page of your project’s <a class="reference external" href="https://www.sphinx-doc.org/">Sphinx</a> documentation.
It is formatted in <a class="reference external" href="https://www.sphinx-doc.org/en/master/usage/restructuredtext/basics.html">reStructuredText</a>. Add additional pages
by creating rst-files in <code class="docutils literal notranslate"><span class="pre">docs</span></code> and adding them to the <a class="reference external" href="https://www.sphinx-doc.org/en/master/usage/restructuredtext/directives.html">toctree</a> below.
Use then <a class="reference external" href="https://www.sphinx-doc.org/en/stable/markup/inline.html">references</a> in order to link them from this page, e.g.
<a class="reference internal" href="authors.html#authors"><span class="std std-ref">Contributors</span></a> and <a class="reference internal" href="changelog.html#changes"><span class="std std-ref">Changelog</span></a>.</p>
<p>It is also possible to refer to the documentation of other Python packages
with the <a class="reference external" href="https://www.sphinx-doc.org/en/master/usage/restructuredtext/domains.html#the-python-domain">Python domain syntax</a>. By default you can reference the
documentation of <a class="reference external" href="https://www.sphinx-doc.org/">Sphinx</a>, <a class="reference external" href="https://docs.python.org/">Python</a>, <a class="reference external" href="https://numpy.org/doc/stable">NumPy</a>, <a class="reference external" href="https://docs.scipy.org/doc/scipy/reference/">SciPy</a>, <a class="reference external" href="https://matplotlib.org/contents.html#">matplotlib</a>,
<a class="reference external" href="https://pandas.pydata.org/pandas-docs/stable">Pandas</a>, <a class="reference external" href="https://scikit-learn.org/stable">Scikit-Learn</a>. You can add more by extending the
<code class="docutils literal notranslate"><span class="pre">intersphinx_mapping</span></code> in your Sphinx’s <code class="docutils literal notranslate"><span class="pre">conf.py</span></code>.</p>
<p>The pretty useful extension <a class="reference external" href="https://www.sphinx-doc.org/en/master/ext/autodoc.html">autodoc</a> is activated by default and lets
you include documentation from docstrings. Docstrings can be written in
<a class="reference external" href="https://google.github.io/styleguide/pyguide.html#38-comments-and-docstrings">Google style</a> (recommended!), <a class="reference external" href="https://numpydoc.readthedocs.io/en/latest/format.html">NumPy style</a> and <a class="reference external" href="https://www.sphinx-doc.org/en/master/domains.html#info-field-lists">classical style</a>.</p>
</div>
<section id="contents">
<h2>Contents<a class="headerlink" href="#contents" title="Link to this heading">¶</a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="readme.html">Overview</a><ul>
<li class="toctree-l2"><a class="reference internal" href="readme.html#note">Note</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="cnp.html">Reference</a><ul>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-abs">abs</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-add">add</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-arccos">arccos</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-arccosh">arccosh</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-arcsin">arcsin</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-arcsinh">arcsinh</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-arctan">arctan</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-arctan2">arctan2</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-arctanh">arctanh</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-around">around</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-cbrt">cbrt</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-ceil">ceil</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-conj">conj</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-conjugate">conjugate</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-cos">cos</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-cosh">cosh</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-cross">cross</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-cumprod">cumprod</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-cumsum">cumsum</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-deg2rad">deg2rad</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-degrees">degrees</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-diff">diff</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-divide">divide</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-dumps">dumps</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-ediff1d">ediff1d</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-exp">exp</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-exp2">exp2</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-expm1">expm1</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-fix">fix</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-floor">floor</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-floor-divide">floor-divide</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-gcd">gcd</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-gradient">gradient</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-heaviside">heaviside</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-hypot">hypot</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-lcm">lcm</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-log">log</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-log10">log10</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-log1p">log1p</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-log2">log2</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-logaddexp">logaddexp</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-logaddexp2">logaddexp2</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-matmul">matmul</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-multiply">multiply</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-nancumprod">nancumprod</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-nancumsum">nancumsum</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-nanprod">nanprod</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-nansum">nansum</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-negative">negative</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-positive">positive</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-power">power</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-prod">prod</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-rad2deg">rad2deg</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-radians">radians</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-random">random</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-read">read</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-reciprocal">reciprocal</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-remainder">remainder</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-rint">rint</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-round">round</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-sign">sign</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-sin">sin</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-sinh">sinh</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-sqrt">sqrt</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-square">square</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-subtract">subtract</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-sum">sum</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-tan">tan</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-tanh">tanh</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-trapz">trapz</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-true-divide">true-divide</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-trunc">trunc</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-unwrap">unwrap</a></li>
<li class="toctree-l2"><a class="reference internal" href="cnp.html#cnp-write">write</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="contributing.html">Contributions &amp; Help</a><ul>
<li class="toctree-l2"><a class="reference internal" href="contributing.html#issue-reports">Issue Reports</a></li>
<li class="toctree-l2"><a class="reference internal" href="contributing.html#documentation-improvements">Documentation Improvements</a></li>
<li class="toctree-l2"><a class="reference internal" href="contributing.html#code-contributions">Code Contributions</a></li>
<li class="toctree-l2"><a class="reference internal" href="contributing.html#maintainer-tasks">Maintainer tasks</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="license.html">License</a></li>
<li class="toctree-l1"><a class="reference internal" href="authors.html">Authors</a></li>
<li class="toctree-l1"><a class="reference internal" href="changelog.html">Changelog</a><ul>
<li class="toctree-l2"><a class="reference internal" href="changelog.html#version-0-1">Version 0.1</a></li>
</ul>
</li>
</ul>
</div>
</section>
<section id="indices-and-tables">
<h2>Indices and tables<a class="headerlink" href="#indices-and-tables" title="Link to this heading">¶</a></h2>
<ul class="simple">
<li><p><a class="reference internal" href="genindex.html"><span class="std std-ref">Index</span></a></p></li>
<li><p><a class="reference internal" href="py-modindex.html"><span class="std std-ref">Module Index</span></a></p></li>
<li><p><a class="reference internal" href="search.html"><span class="std std-ref">Search Page</span></a></p></li>
</ul>
</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="#">numpy</a></h1>








<h3>Navigation</h3>
<ul>
<li class="toctree-l1"><a class="reference internal" href="readme.html">Overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="cnp.html">Reference</a></li>
<li class="toctree-l1"><a class="reference internal" href="contributing.html">Contributions &amp; Help</a></li>
<li class="toctree-l1"><a class="reference internal" href="license.html">License</a></li>
<li class="toctree-l1"><a class="reference internal" href="authors.html">Authors</a></li>
<li class="toctree-l1"><a class="reference internal" href="changelog.html">Changelog</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="#">Documentation overview</a><ul>
      <li>Next: <a href="readme.html" title="next chapter">numpy</a></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2023, Contextualize.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.13</a>
      
      |
      <a href="_sources/index.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>